/* c-irrlicht --- C bindings for Irrlicht Engine

   Copyright (C) 2019 Javier Sancho <jsf@jsancho.org>

   This file is part of c-irrlicht.

   c-irrlicht is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 3 of the
   License, or (at your option) any later version.

   c-irrlicht is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with guile-irrlicht.  If not, see
   <http://www.gnu.org/licenses/>.
*/

#ifndef __C_I_ANIMATED_MESH_SCENE_NODE_H_INCLUDED__
#define __C_I_ANIMATED_MESH_SCENE_NODE_H_INCLUDED__

#include "EMaterialFlags.h"
#include "IAnimatedMeshMD2.h"
#include "ITexture.h"

typedef void irr_scene_IAnimatedMeshSceneNode;

#ifdef __cplusplus
extern "C" {
#endif

  void
  irr_scene_setMaterialFlagAM(irr_scene_IAnimatedMeshSceneNode* node,
                              irr_video_E_MATERIAL_FLAG flag,
                              int newvalue);

  void
  irr_scene_setMaterialTextureAM(irr_scene_IAnimatedMeshSceneNode* node,
                                 unsigned int textureLayer,
                                 irr_video_ITexture* texture);

  int
  irr_scene_setMD2Animation(irr_scene_IAnimatedMeshSceneNode* node,
                            irr_scene_EMD2_ANIMATION_TYPE anim);

#ifdef __cplusplus
}
#endif

#endif
