/* c-irrlicht --- C bindings for Irrlicht Engine

   Copyright (C) 2019 Javier Sancho <jsf@jsancho.org>

   This file is part of c-irrlicht.

   c-irrlicht is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation; either version 3 of the
   License, or (at your option) any later version.

   c-irrlicht is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with guile-irrlicht.  If not, see
   <http://www.gnu.org/licenses/>.
*/

#ifndef __C_I_FILE_ARCHIVE_H_INCLUDED__
#define __C_I_FILE_ARCHIVE_H_INCLUDED__

#include <irrlicht/irrTypes.h>

typedef enum
  {
   //! A PKZIP archive
   EFAT_ZIP     = MAKE_IRR_ID('Z','I','P', 0),

   //! A gzip archive
   EFAT_GZIP    = MAKE_IRR_ID('g','z','i','p'),

   //! A virtual directory
   EFAT_FOLDER  = MAKE_IRR_ID('f','l','d','r'),

   //! An ID Software PAK archive
   EFAT_PAK     = MAKE_IRR_ID('P','A','K', 0),

   //! A Nebula Device archive
   EFAT_NPK     = MAKE_IRR_ID('N','P','K', 0),

   //! A Tape ARchive
   EFAT_TAR     = MAKE_IRR_ID('T','A','R', 0),

   //! A wad Archive, Quake2, Halflife
   EFAT_WAD     = MAKE_IRR_ID('W','A','D', 0),

   //! The type of this archive is unknown
   EFAT_UNKNOWN = MAKE_IRR_ID('u','n','k','n')
  } irr_io_E_FILE_ARCHIVE_TYPE;

typedef void irr_io_IFileArchive;

#endif
